Overview | Modules | Class Hierarchy | Classes | Members

# tlp::ViewFactory Class Reference

`#include <View.h>`

List of all members.

## Public Member Functions

- virtual ~ViewFactory ()
- virtual View * createPluginObject (ViewContext *ic)=0
- virtual std::string getMajor () const
- virtual std::string getMinor () const
- virtual std::string getTulipMajor () const
- virtual std::string getTulipMinor () const

## Static Public Member Functions

- static void initFactory ()

## Static Public Attributes

- static TemplateFactory< ViewFactory,
  View, ViewContext * > * factory

## Constructor & Destructor Documentation

virtual tlp::ViewFactory::~ViewFactory | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual View* tlp::ViewFactory::createPluginObject | ( | ViewContext * | ic | ) | `[pure virtual]`

virtual std::string tlp::ViewFactory::getMajor | ( |  | ) | const`[inline, virtual]`

virtual std::string tlp::ViewFactory::getMinor | ( |  | ) | const`[inline, virtual]`

virtual std::string tlp::ViewFactory::getTulipMajor | ( |  | ) | const`[inline, virtual]`

virtual std::string tlp::ViewFactory::getTulipMinor | ( |  | ) | const`[inline, virtual]`

static void tlp::ViewFactory::initFactory | ( |  | ) | `[inline, static]`

## Member Data Documentation

TemplateFactory<ViewFactory,View,ViewContext *>* tlp::ViewFactory::factory `[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2010